MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003542ATutorPatcherpublic2008-08-21 23:232009-07-21 08:52
ReporterIndieRect 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.1 
Target VersionFixed in Version1.6.2 
Summary0003542: Patch altering the same file multiple times can't be undone
DescriptionIf a patch alters two or more separate chunks in the same file, each backup file overwrites the previous one. See the attached sample screenshot.

As a result, the backup file reflects not the original state, but that with the last but one change. Recovering the original file is then impossible without an external backup.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Filesgif file icon Files repeatedly overwritten.gif [^] (28,090 bytes) 2008-08-21 23:23

- Relationships

-  Notes
(0003371)
cindy (administrator)
2008-11-14 10:06

refer to: http://www.atutor.ca/atutor/mantis/view.php?id=3477 [^]

This has been fixed by checking the existence of the backup file. don't overwrite if already exists.

- Issue History
Date Modified Username Field Change
2008-08-21 23:23 IndieRect New Issue
2008-08-21 23:23 IndieRect File Added: Files repeatedly overwritten.gif
2008-08-21 23:23 IndieRect Affects version => SVN
2008-11-14 10:02 greg Status new => assigned
2008-11-14 10:02 greg Assigned To => cindy
2008-11-14 10:06 cindy Status assigned => resolved
2008-11-14 10:06 cindy Fixed in Version => 1.6.2
2008-11-14 10:06 cindy Resolution open => fixed
2008-11-14 10:06 cindy Note Added: 0003371
2009-07-21 08:52 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker